function ObjectAD() {
  /* Define Variables*/
  this.ADID        = 0;
  this.ADType      = 0;
  this.ADName      = "";
  this.ImgUrl      = "";
  this.ImgWidth    = 0;
  this.ImgHeight   = 0;
  this.FlashWmode  = 0;
  this.LinkUrl     = "";
  this.LinkTarget  = 0;
  this.LinkAlt     = "";
  this.Priority    = 0;
  this.CountView   = 0;
  this.CountClick  = 0;
  this.InstallDir  = "";
  this.ADDIR       = "";
}

function CodeZoneAD(_id) {
  /* Define Common Variables*/
  this.ID          = _id;
  this.ZoneID      = 0;

  /* Define Unique Variables*/

  /* Define Objects */
  this.AllAD       = new Array();
  this.ShowAD      = null;

  /* Define Functions */
  this.AddAD       = CodeZoneAD_AddAD;
  this.GetShowAD   = CodeZoneAD_GetShowAD;
  this.Show        = CodeZoneAD_Show;

}

function CodeZoneAD_AddAD(_AD) {
  this.AllAD[this.AllAD.length] = _AD;
}

function CodeZoneAD_GetShowAD() {
  if (this.ShowType > 1) {
    this.ShowAD = this.AllAD[0];
    return;
  }
  var num = this.AllAD.length;
  var sum = 0;
  for (var i = 0; i < num; i++) {
    sum = sum + this.AllAD[i].Priority;
  }
  if (sum <= 0) {return ;}
  var rndNum = Math.random() * sum;
  i = 0;
  j = 0;
  while (true) {
    j = j + this.AllAD[i].Priority;
    if (j >= rndNum) {break;}
    i++;
  }
  this.ShowAD = this.AllAD[i];
}

function CodeZoneAD_Show() {
  if (!this.AllAD) {
    return;
  } else {
    this.GetShowAD();
  }

  if (this.ShowAD == null) return false;
  document.write(this.ShowAD.ADIntro);
}

var ZoneAD_36 = new CodeZoneAD("ZoneAD_36");
ZoneAD_36.ZoneID      = 36;
ZoneAD_36.ZoneWidth   = 0;
ZoneAD_36.ZoneHeight  = 0;
ZoneAD_36.ShowType    = 1;

var objAD = new ObjectAD();
objAD.ADID           = 34;
objAD.ADType         = 4;
objAD.ADName         = "底部代码";
objAD.ImgUrl         = "";
objAD.InstallDir     = "/";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<table width=\"100%\" border=\"0\">\n\r  <tr>\n\r    <td><div align=\"center\"><FONT color=#000000>| </FONT><A class=Bottom onclick=\"this.style.behavior=\'url(#default#homepage)\';this.setHomePage(\'http://www.i3721.com\');\" href=\"http://www.i3721.com/\"><FONT color=#000000>设为首页</FONT></A><FONT color=#000000> | </FONT><A class=Bottom href=\"javascript:window.external.addFavorite(\'http://www.i3721.com\',\'i3721教育资源网\');\"><FONT color=#000000>加入收藏</FONT></A><FONT color=#000000> | </FONT><A class=Bottom href=\"http://i3721.5d6d.com\"><FONT color=#000000>教师论坛</FONT></A><FONT color=#000000> |</FONT><A class=Bottom href=\"http://www.i3721.com/SiteMap/Article1.htm\"><FONT color=#000000> 网站地图 </FONT></A><FONT color=#000000>|<BR>\n\r      </FONT><FONT face=宋体>2006-2008 </FONT>中小学教学资源网(<FONT color=#ff0000>i</FONT><FONT color=#0000ff>3721.com</FONT>)<font size=\"2\"></font>  <A href=\"http://www.miibeian.gov.cn/\" target=_blank>京ICP备06021483号</A><BR>邮箱：liuguohui@126.com QQ:3980040</div></td>\n\r  </tr>\n\r</table>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.ADDIR          = "AD";
ZoneAD_36.AddAD(objAD);

ZoneAD_36.Show();
